{{- if not .Values.config.authn.oidc.existingSecret.name -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "nlx-controller.fullname" . }}-oidc
  labels:
    {{- include "nlx-controller.labels" . | nindent 4 }}
type: Opaque
data:
  secretKey: {{ .Values.config.authn.oidc.secretKey | b64enc | quote }}
  clientSecret: {{ .Values.config.authn.oidc.clientSecret | b64enc | quote }}
{{- end }}
